<?php
/**
 * @package Pm
 * @version $Id: index.php,v 1.1.2.3 2006/07/04 09:49:00 minahito Exp $
 */

require_once "../../mainfile.php";
require_once XOOPS_ROOT_PATH . "/header.php";
require_once XOOPS_MODULE_PATH . "/pm/class/ActionFrame.class.php";

$root =& XCube_Root::getSingleton();

$actionName = isset($_GET['action']) ? trim($_GET['action']) : "default";

$moduleRunner =& new Pm_ActionFrame(false);
$moduleRunner->setActionName($actionName);

$root->mController->setActionStrategy($moduleRunner);

$root->mController->executeAction();

require_once XOOPS_ROOT_PATH . "/footer.php";

?>
